Get usage events
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/usage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/usage/events \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/usage/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Usage Tracking
Get usage events
GET
/
api
/
v1
/
usage
/
events
Get usage events
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studyfetchapi.com/api/v1/usage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://studyfetchapi.com/api/v1/usage/events \
--header 'x-api-key: <api-key>'import requests
url = "https://studyfetchapi.com/api/v1/usage/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
API Key for server-to-server authentication. Resolves to the owning organization.
Query Parameters
Start date for filtering (ISO 8601)
End date for filtering (ISO 8601)
Filter by event type
Available options:
material_created, material_uploaded, material_processed, material_deleted, component_created, component_accessed, component_deleted, component_usage, chat_message_sent, chat_session_started, chat_session_ended, chat_feedback, test_created, test_started, test_completed, test_question_answered, test_retaken, audio_recap_create, assignment_grader_create, api_call, cache_hit, sso_login, sso_logout, student_performance Filter by user ID
Filter by group ID
Filter by resource ID
Number of results to return
Required range:
1 <= x <= 1000Offset for pagination
Required range:
x >= 0Response
200
Usage events retrieved
Was this page helpful?